/*
CTC Separate Stylesheet
Updated: 2026-04-21 03:27:24
*/

:root {
	--background: 0 0% 100%;
    --foreground: 150 10% 15%;
	
/* 	--eco: 142 71% 45%;
	--eco-foreground: 0 0% 100%;
	--eco-soft: 142 76% 94%;
	--eco-glow: 142 76% 60%;
	
 	--gradient-eco: linear-gradient(135deg, hsl(142 71% 45%), hsl(160 84% 39%)); */
	
	--eco: 221, 67%, 47%;
	--eco-foreground: 0, 0%, 100%;
	--eco-soft: 221, 76%, 94%;
	--eco-glow: 221, 76%, 60%;
	--gradient-eco: linear-gradient(
	  135deg,
	  hsl(221 71% 45%),
	  hsl(239 84% 39%)
	);
}

body {
	overflow-x: hidden;
}

.overflow-hidden {
	overflow: hidden;
}
.cursor-pointer {
	cursor: pointer;
}
.text-transparent {
    color: transparent;
}
.bg-clip-text {
    background-clip: text;
}
.bg-gradient-eco {
    background-image: var(--gradient-eco);
}

.text-eco {
    color: hsl(var(--eco));
}
.text-foreground {
    color: hsl(var(--foreground));
}

.animate-pulse-glow {
    animation: 2.2s ease-out 0s infinite normal none running pulse-glow;
}
.transition-colors {
    transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 0.15s;
}
@keyframes pulse-glow{0%,to{box-shadow:0 0 hsl(var(--eco) / .55)}50%{box-shadow:0 0 0 14px hsl(var(--eco) / 0)}}